using Microsoft.Xna.Framework.Input;

using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Input;

public interface IKeyboardInputs : IAssignableStateEnable
{
    void RegisterOnPress(Keys key, Action<IKeyboardInputs, Keys> callback);
    void UnregisterOnPress(Keys key, Action<IKeyboardInputs, Keys> callback);
    void RegisterOnRelease(Keys key, Action<IKeyboardInputs, Keys> callback);
    void UnregisterOnRelease(Keys key, Action<IKeyboardInputs, Keys> callback);

    bool IsPressed(Keys key);
    bool WasPressed(Keys key);
}
